%define sname openstackclient
%def_with python3

Name: python-module-%sname
Version: 1.7.1
Release: alt1.1
Summary: OpenStack Command-line Client

Group: Development/Python
License: ASL 2.0
Url: http://github.com/openstack/python-openstackclient
Source: %name/%name-%version.tar

BuildArch: noarch


Requires: python-module-cliff >= 1.14.0
Requires: python-module-cliff-tablib >= 1.0
Requires: python-module-os-client-config >= 1.4.0
Requires: python-module-oslo.config >= 2.3.0
Requires: python-module-oslo.i18n >= 1.5.0
Requires: python-module-oslo.utils >= 2.0.0
Requires: python-module-glanceclient >= 0.18.0
Requires: python-module-keystoneclient >= 1.6.0
Requires: python-module-novaclient >= 2.28.1
Requires: python-module-cinderclient >= 1.3.1
Requires: python-module-neutronclient >= 2.6.0
Requires: python-module-requests >= 2.5.2
Requires: python-module-stevedore >= 1.5.0

# Automatically added by buildreq on Thu Jan 28 2016 (-bi)
# optimized out: libgpg-error pyflakes python-base python-devel python-module-PyStemmer python-module-Pygments python-module-appdirs python-module-babel python-module-cffi python-module-chardet python-module-cliff python-module-cmd2 python-module-cryptography python-module-cssselect python-module-debtcollector python-module-docutils python-module-enum34 python-module-extras python-module-fixtures python-module-flake8 python-module-funcsigs python-module-functools32 python-module-genshi python-module-hacking python-module-iso8601 python-module-jinja2 python-module-jinja2-tests python-module-jsonpatch python-module-jsonpointer python-module-jsonschema python-module-keystoneclient python-module-linecache2 python-module-lxml python-module-markupsafe python-module-mccabe python-module-mimeparse python-module-monotonic python-module-ndg-httpsclient python-module-netaddr python-module-netifaces python-module-ntlm python-module-oslo.config python-module-oslo.i18n python-module-oslo.serialization python-module-oslo.utils python-module-pbr python-module-prettytable python-module-pyasn1 python-module-pyparsing python-module-pytest python-module-pytz python-module-requests python-module-serial python-module-setuptools python-module-simplejson python-module-six python-module-snowballstemmer python-module-sphinx python-module-sphinx_rtd_theme python-module-stevedore python-module-testtools python-module-traceback2 python-module-twisted-core python-module-unittest2 python-module-urllib3 python-module-warlock python-module-wrapt python-module-yaml python-module-zope.interface python-modules python-modules-compiler python-modules-ctypes python-modules-email python-modules-encodings python-modules-json python-modules-logging python-modules-multiprocessing python-modules-unittest python-modules-wsgiref python-modules-xml python-tools-pep8 python3 python3-base python3-module-Pygments python3-module-babel python3-module-cffi python3-module-chardet python3-module-cliff python3-module-cryptography python3-module-cssselect python3-module-docutils python3-module-enum34 python3-module-genshi python3-module-jinja2 python3-module-jsonpointer python3-module-jsonschema python3-module-keystoneclient python3-module-markupsafe python3-module-mimeparse python3-module-ndg-httpsclient python3-module-netaddr python3-module-ntlm python3-module-oslo.config python3-module-pbr python3-module-pip python3-module-pycparser python3-module-pyparsing python3-module-pytest python3-module-pytz python3-module-setuptools python3-module-six python3-module-snowballstemmer python3-module-sphinx python3-module-stevedore python3-module-unittest2 python3-module-urllib3 python3-module-wrapt python3-module-yaml python3-module-yieldfrom.http.client xz
BuildRequires: python-module-alabaster python-module-cinderclient python-module-cliff-tablib python-module-d2to1 python-module-glanceclient python-module-html5lib python-module-mock python-module-neutronclient python-module-novaclient python-module-os-client-config python-module-oslosphinx python-module-requests-mock python3-module-cinderclient python3-module-cliff-tablib python3-module-glanceclient python3-module-html5lib python3-module-jinja2-tests python3-module-neutronclient python3-module-novaclient python3-module-yieldfrom.urllib3 rpm-build-python3 time

#BuildRequires: python-devel
#BuildRequires: python-module-setuptools
#BuildRequires: python-module-pbr >= 1.6
#BuildRequires: python-module-d2to1
#BuildRequires: python-module-cliff >= 1.14.0
#BuildRequires: python-module-cliff-tablib >= 1.0
#BuildRequires: python-module-os-client-config >= 1.4.0
#BuildRequires: python-module-oslo.config >= 2.3.0
#BuildRequires: python-module-oslo.i18n >= 1.5.0
#BuildRequires: python-module-oslo.utils >= 2.0.0
#BuildRequires: python-module-six >= 1.9.0
#BuildRequires: python-module-glanceclient >= 0.18.0
#BuildRequires: python-module-keystoneclient >= 1.6.0
#BuildRequires: python-module-novaclient >= 2.28.1
#BuildRequires: python-module-cinderclient >= 1.3.1
#BuildRequires: python-module-neutronclient >= 2.6.0
#BuildRequires: python-module-requests >= 2.5.2
#BuildRequires: python-module-stevedore >= 1.5.0

# for build doc
#BuildRequires: python-module-mock
#BuildRequires: python-module-requests-mock
#BuildRequires: python-module-fixtures
#BuildRequires: python-module-sphinx
#BuildRequires: python-module-oslosphinx


%if_with python3
BuildRequires(pre): rpm-build-python3
#BuildRequires: python3-devel
#BuildRequires: python3-module-setuptools
#BuildRequires: python3-module-pbr >= 1.6
#BuildRequires: python3-module-cliff >= 1.14.0
#BuildRequires: python3-module-cliff-tablib >= 1.0
#BuildRequires: python3-module-os-client-config >= 1.4.0
#BuildRequires: python3-module-oslo.config >= 2.3.0
#BuildRequires: python3-module-oslo.i18n >= 1.5.0
#BuildRequires: python3-module-oslo.utils >= 2.0.0
#BuildRequires: python3-module-six >= 1.9.0
#BuildRequires: python3-module-glanceclient >= 0.18.0
#BuildRequires: python3-module-keystoneclient >= 1.6.0
#BuildRequires: python3-module-novaclient >= 2.28.1
#BuildRequires: python3-module-cinderclient >= 1.3.1
#BuildRequires: python3-module-neutronclient >= 2.6.0
#BuildRequires: python3-module-requests >= 2.5.2
#BuildRequires: python3-module-stevedore >= 1.5.0
%endif

%description
python-openstackclient is a unified command-line client for the OpenStack APIs.
It is a thin wrapper to the stock python-*client modules that implement the
actual REST API client actions.

%package doc
Summary: Documentation for OpenStack Nova API Client
Group: Development/Documentation

%description doc
python-openstackclient is a unified command-line client for the OpenStack APIs.
It is a thin wrapper to the stock python-*client modules that implement the
actual REST API client actions.

This package contains auto-generated documentation.

%if_with python3
%package -n python3-module-%sname
Summary: OpenStack Command-line Client
Group: Development/Python3

%description -n python3-module-%sname
python-openstackclient is a unified command-line client for the OpenStack APIs.
It is a thin wrapper to the stock python-*client modules that implement the
actual REST API client actions.
%endif


%prep
%setup

# We handle requirements ourselves, pkg_resources only bring pain
rm -rf requirements.txt test-requirements.txt

# Remove bundled egg-info
rm -rf *.egg-info

%if_with python3
rm -rf ../python3
cp -a . ../python3
%endif

%build
%python_build
%if_with python3
pushd ../python3
%python3_build
popd
%endif

%install
%if_with python3
pushd ../python3
%python3_install
popd
mv %buildroot%_bindir/openstack %buildroot%_bindir/python3-openstack
%endif

%python_install

# Delete tests
rm -fr %buildroot%python_sitelibdir/*/tests
rm -fr %buildroot%python3_sitelibdir/*/tests

export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-build -b html doc/source html
sphinx-build -b man doc/source man

install -p -D -m 644 man/openstack.1 %buildroot%_mandir/man1/openstack.1

# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo

%files
%doc LICENSE README.rst
%_bindir/openstack
%python_sitelibdir/*
%_man1dir/openstack.1*

%files doc
%doc html

%if_with python3
%files -n python3-module-%sname
%_bindir/python3-openstack
%python3_sitelibdir/*
%endif

%changelog
* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 1.7.1-alt1.1
- NMU: Use buildreq for BR.

* Thu Oct 29 2015 Alexey Shabalin <shaba@altlinux.ru> 1.7.1-alt1
- 1.7.1
- add python3 package

* Wed Aug 26 2015 Alexey Shabalin <shaba@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Wed Apr 01 2015 Alexey Shabalin <shaba@altlinux.ru> 1.0.3-alt1
- Initial package

